/*
 * @author Walther Neuper, member of the ISAC-team, 
 * Copyright (c) 2007 by Walther Neuper
 * created Jul 19, 2007 9:49:08 AM
 * Institute for Softwaretechnology, Graz University of Technology, Austria.
 * 
 * Use is subject to PGPL license terms.
 */
package isac.gui;

import java.rmi.RemoteException;

import isac.useractions.IUIAction;
import isac.wsdialog.IWorksheetDialog;

import javax.swing.JDesktopPane;

/**
 * a minimal Worksheet preparing for the servlet-version
 * 
 * CR070723 This should be WorksheetStub, inheriting from Worksheet like a
 * WorksheetSwing to be created; see java-tests/isac.gui.WorksheetSwing.
 */
public class MockWorksheet extends Worksheet{

    public MockWorksheet(IToWorksheetUser windowApplication, IWorksheetDialog dialogGuide, JDesktopPane desktop) {
        super(windowApplication, dialogGuide, desktop);

    }

    private static final long serialVersionUID = -7641081519658422082L;

}
