/*
 * @author Walther Neuper, member of the ISAC-team, Copyright (c) 2005 by
 * Walther Neuper created Feb 4, 2005 10:21:11 AM Institute for
 * Softwaretechnology, Graz University of Technology, Austria.
 * 
 * Use is subject to PGPL license terms.
 */
package isac.util.formulae;

/**
 * contains math concerns for combination with Position (--> CalcFormula),
 * Theorem etc.
 */
public class Formula extends CalcElement {

    protected String math_text_;

    public Formula(){
    	math_text_ = "";
    }
    
    public String toSMLString() {
        return isac.util.parser.FormalizationDigest.decodeEntities(math_text_);
    }

    /*
     * (non-Javadoc)
     * 
     * @see isac.util.CalcElement#getMathML()
     */
    public String getMathML() {
        return null;
    }

    /*
     * (non-Javadoc)
     * 
     * @see isac.util.CalcElement#getType()
     */
    public int getType() {
        return CALCEL_FORMULA;
    }

    public int setMathML(String math_ML_string) {
        return 0;
    }

    // TODO RG Generated for testing purposes (without the permission of Alan)!
    public void setText(String mathText) {
        this.math_text_ = mathText;
    }

    public String getIsabelle() {
        return "";
    }

    public CalcFormula copyTerm(TermSelector term) {
        CalcFormula dummy;
        dummy = new CalcFormula();
        return dummy;
    }

    public String getBlanked(TermSelector blank_term) {
        return "";
    }

    public String toString() {
        return math_text_;
    }

    
}