package isac.users;

import isac.browserdialog.IBrowserDialog;
import isac.util.ObjectManagerPaths;

import java.rmi.RemoteException;

import junit.framework.TestCase;

/**
 * If this test should work properly, KEStore and ObjectManager have to be started.
 */
public class TestUserManager extends TestCase {
  
  
  private IUserManager userManager;
  
  @Override
  protected void setUp() throws Exception {
    super.setUp();
    ObjectManagerPaths.SESSION_MANAGER_USER_PATH = "/home/guenz/uni/workspace/BakkArbeit/isac/xmldata/users/";
    ObjectManagerPaths.KESTORE_PATH = "http://localhost:1030";
    userManager = UserManager.getInstance();
  }

  @Override
  protected void tearDown() throws Exception {
    userManager = null;
    super.tearDown();
  }

  public void testLogin() {
    try {
      IBrowserDialog browserDialog = userManager.login("x", "x");
      assertTrue(true);
    }
    catch (RemoteException e) {
      e.printStackTrace();
      assertTrue(false);
    }
    
    
  }

}
